Package ru.bitel.bgbilling.kernel.admin.errorlog.server.bean

# Class PeriodicErrorManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.admin.errorlog.server.bean.PeriodicErrorManager

public class PeriodicErrorManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `MAX_ERROR_PARAM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodicErrorManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addErrorToList(String errorSubj, String errorText)`
  `void`
  `addErrorToList(String errorSubj, String errorText, Exception ex)`
  `boolean`
  `deleteErrorsByIds(List<Integer> ids)`
  `void`
  `deleteErrorsByMarker(String marker, Date recalcTime)`
  `int`
  `getCounter()`
  `int`
  `getErrorCount(Date month)`
  `void`
  `getErrors(SearchResult<PeriodicProcessErrorMessage> searchResult, Date month, String contains)`
  `void`
  `initErrorMessage(int mid, String moduleName, String marker, Date calcDate)`
  `boolean`
  `isCapReached()`
  `void`
  `processErrors()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_ERROR_PARAM

    public static String MAX_ERROR_PARAM

- ## Constructor Details

  - ### PeriodicErrorManager

    public PeriodicErrorManager(Connection con)

- ## Method Details

  - ### initErrorMessage

    public void initErrorMessage(int mid, String moduleName, String marker, Date calcDate)

  - ### isCapReached

    public boolean isCapReached()

  - ### addErrorToList

    public void addErrorToList(String errorSubj, String errorText)

  - ### addErrorToList

    public void addErrorToList(String errorSubj, String errorText, Exception ex)

  - ### getCounter

    public int getCounter()

  - ### processErrors

    public void processErrors()

  - ### deleteErrorsByMarker

    public void deleteErrorsByMarker(String marker, Date recalcTime) throws Exception
    Throws:
      `Exception`

  - ### getErrors

    public void getErrors(SearchResult<PeriodicProcessErrorMessage> searchResult, Date month, String contains)

  - ### deleteErrorsByIds

    public boolean deleteErrorsByIds(List<Integer> ids) throws Exception
    Throws:
      `Exception`

  - ### getErrorCount

    public int getErrorCount(Date month) throws Exception
    Throws:
      `Exception`